# sigc Namespace Reference

## Classes

class | signal
class | signal< T_return, nil, nil, nil, nil, nil, nil, nil >
class | signal< T_return, T_arg1, nil, nil, nil, nil, nil, nil >
class | signal< T_return, T_arg1, T_arg2, nil, nil, nil, nil, nil >
class | signal< T_return, T_arg1, T_arg2, T_arg3, nil, nil, nil, nil >
class | signal< T_return, T_arg1, T_arg2, T_arg3, T_arg4, nil, nil, nil >
class | signal< T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, nil, nil >
class | signal< T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, nil >